Bug 972301 - nautilus crashes when right clicking properties of media files.
nautilus crashes when right clicking properties of media files.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 04:51 EDT by Simon Putt
Modified: 2015-02-17 10:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:30:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Putt 2013-06-08 04:51:29 EDT
Description of problem:

When right clicking a media file (mkv/mp3) nautilus will hang


Version-Release number of selected component (if applicable):


How reproducible:

right click media file, nautilus hangs


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

Properties pane to appear.


Additional info:
Comment 1 Simon Putt 2013-06-08 04:59:00 EDT
removed totem-nautilus as a test and the properties pane appears, so looks like a totem problem. Also when i right click a drive on the desktop (enabled with gnome-tweak-tool) it also hangs.
Comment 2 Matthias Clasen 2013-06-16 21:02:31 EDT
hmm, works ok here with various ogg and webm and mp3 examples
Comment 3 Alex. H. F. 2014-01-08 20:57:42 EST
Today I noticed the same behaviour when right-clicking and choosing properties of mp3-files in nautilus.
De-installing "totem-nautilus" plug-in solves the issue.

I am using Fedora 19 64-bit "up-to-date".
Comment 4 pgaltieri 2014-01-15 12:58:20 EST
I tried it today and nautilus hangs when right clicking on mp3 or mp4 file.  This is what nautilus displays:

[pgaltieri@jackstraw ~]$ nautilus&
[1] 14406
[pgaltieri@jackstraw ~]$ 
(nautilus:14406): Gtk-WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

** (nautilus:14406): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

** (nautilus:14406): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist
Initializing nautilus-image-converter extension
Initializing nautilus-sound-converter extension

(nautilus:14406): GStreamer-CRITICAL **: gst_object_ref: assertion `object != NULL' failed

(nautilus:14406): GStreamer-CRITICAL **: gst_allocator_register: assertion `allocator != NULL' failed

(nautilus:14406): GStreamer-CRITICAL **: gst_object_ref: assertion `object != NULL' failed

At the time the last message is displayed nautilus is hung up.  As mentioned removing totem-nautilus resolves the issue.
Comment 5 Panormitis Petrou 2014-04-06 04:47:04 EDT
I can confirm this bug too.
Once I uninstalled totem-nautilus, the properties pane appeared.
Probably something is wrong on totem-nautilus.
Comment 6 Nils Philippsen 2014-11-11 06:10:19 EST
I can confirm this behavior on Fedora 21 (beta) with nautilus-3.14.0-2.fc21.x86_64 and totem-nautilus-3.14.0-1.fc21.x86_64: I see the three GStreamer-CRITICAL messages on stderr, then nautilus hangs. If totem-nautilus isn't installed, the properties dialog opens fine.
Comment 7 Germán Racca 2014-12-30 02:14:23 EST
I can confirm this on Fedora 21. Removing totem-nautilus, properties window opens fine.
Comment 8 Panormitis Petrou 2015-01-01 08:56:45 EST
I can confirm it too in Fedora 21. I removed totem-nautilus for now.
Comment 9 Fedora End Of Life 2015-01-09 13:21:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:30:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.